## kio-extras 19.12.3a

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

# KDE Applications Version, managed by release script
set (KDE_APPLICATIONS_VERSION_MAJOR "19")
set (KDE_APPLICATIONS_VERSION_MINOR "12")
set (KDE_APPLICATIONS_VERSION_MICRO "3")
set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
project(kio-extras VERSION ${KDE_APPLICATIONS_VERSION})

include(FeatureSummary)

set(QT_MIN_VERSION "5.8.0")
set(KF5_MIN_VERSION "5.48.0")
find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS DBus Network Widgets Svg)

find_package(Qt5Test ${QT_MIN_VERSION} CONFIG QUIET)
set_package_properties(Qt5Test PROPERTIES
         PURPOSE "Required for tests"
         TYPE OPTIONAL
         )
add_feature_info("Qt5Test" Qt5Test_FOUND "Required for building tests")
if (NOT Qt5Test_FOUND)
    set(BUILD_TESTING OFF CACHE BOOL "Build the testing tree.")
endif()

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Archive
    Config
    ConfigWidgets
    CoreAddons
    DBusAddons
    DocTools
    DNSSD
    IconThemes
    I18n
    KIO
    Solid
    Bookmarks
    GuiAddons
    SyntaxHighlighting
)
# As this is the check used for linkage, only require it in the same location...
if (UNIX)
    find_package(KF5Pty ${KF5_MIN_VERSION} REQUIRED)
endif()

include(CheckIncludeFile)
include(CMakePackageConfigHelpers)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMMarkNonGuiExecutable)
include(ECMMarkAsTest)
include(ECMOptionalAddSubdirectory)
include(ECMQtDeclareLoggingCategory)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

find_package(KF5Activities QUIET)
set_package_properties(KF5Activities PROPERTIES
    PURPOSE "Provides the activities:/ kioslave and fileitem plugin."
    TYPE OPTIONAL
)

find_package(KF5ActivitiesStats 5.62 QUIET)
set_package_properties(KF5ActivitiesStats PROPERTIES
    PURPOSE "Provides the recentlyused:/ kioslave."
    TYPE OPTIONAL
)

find_package(Phonon4Qt5 4.6.60 NO_MODULE)
set_package_properties(Phonon4Qt5 PROPERTIES
   DESCRIPTION "Qt-based audio library"
   PURPOSE "Required for the audio preview plugin"
   TYPE OPTIONAL)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

if(NOT WIN32)
    # we need a version of samba which has already smbc_set_context(), Alex
    set(SAMBA_REQUIRE_SMBC_SET_CONTEXT TRUE)
    set(SAMBA_REQUIRE_SMBC_OPTION_SET TRUE)
    find_package(Samba)
    set_package_properties(Samba PROPERTIES DESCRIPTION "the SMB client library, a version with smbc_set_context() and smbc_option_set()"
                        URL "https://www.samba.org/"
                        TYPE OPTIONAL
                        PURPOSE "Needed to build the SMB kioslave"
                        )
endif()

find_package(libssh 0.7.0 MODULE)
set_package_properties(libssh PROPERTIES DESCRIPTION "the SSH library with SFTP support"
                       URL "https://www.libssh.org/"
                       TYPE OPTIONAL
                       PURPOSE "Needed to build the SFTP kioslave"
                      )

find_package(Mtp)
set_package_properties(Mtp PROPERTIES DESCRIPTION "the MTP library"
                       URL "http://libmtp.sourceforge.net/"
                       TYPE OPTIONAL
                       PURPOSE "Needed to build the MTP kioslave"
                       )

check_include_file(utime.h HAVE_UTIME_H)

# ECM's KDECompilerSettings.cmake should take care of enabling supporting on
# 32bit architectures.
# Thorw a fatal error if off_t isn't >=64bit to ensure that large files are working
# as expected.
# BUG: 165449
if(UNIX)
    check_cxx_source_compiles("
        #include <sys/types.h>
        /* Check that off_t can represent 2**63 - 1 correctly.
            We can't simply define LARGE_OFF_T to be 9223372036854775807,
            since some C++ compilers masquerading as C compilers
            incorrectly reject 9223372036854775807.  */
        #define LARGE_OFF_T (((off_t) 1 << 62) - 1 + ((off_t) 1 << 62))

        int off_t_is_large[(LARGE_OFF_T % 2147483629 == 721 && LARGE_OFF_T % 2147483647 == 1) ? 1 : -1];
        int main() { return 0; }
    "
    OFFT_IS_64BIT)

    if(NOT OFFT_IS_64BIT)
        message(FATAL_ERROR "Large file support is not enabled.")
    endif()

    find_package(Gperf)
    set_package_properties(Gperf PROPERTIES TYPE OPTIONAL
                           PURPOSE "Needed to build the man kioslave"
                           )
else()
    # FIXME: on windows we ignore support until trash gets integrated
endif()

add_subdirectory( doc )

add_subdirectory( about )
if(KF5Activities_FOUND)
  add_subdirectory( activities )
endif()
if(KF5ActivitiesStats_FOUND)
    add_subdirectory( recentlyused )
endif()
add_subdirectory( bookmarks )
add_subdirectory( filter )
if(Phonon4Qt5_FOUND)
    add_subdirectory( kfileaudiopreview )
endif()
add_subdirectory( info )
add_subdirectory( archive )
if(NOT WIN32)
    add_subdirectory( network )
endif()
add_subdirectory( recentdocuments )
if (NOT WIN32)
    # does not compile: fish.cpp(41): fatal error C1083: Cannot open include file: 'sys/resource.h': No such file or directory
    # Used for getting the resource limit for closing all child process FDs. Could be completely replaced by fcloseall() if available for Unix or _fcloseall() for Windows, either conditionally on Q_OS_type or using a configure test.
    add_subdirectory( fish )
endif()
add_subdirectory( thumbnail )
add_subdirectory( docfilter )
if (libssh_FOUND)
    add_subdirectory(sftp)
endif ()
add_subdirectory(settings)
add_subdirectory( filenamesearch )
if (MTP_FOUND)
  add_subdirectory(mtp)
endif()

if(NOT WIN32)
   if(Gperf_FOUND)
     add_subdirectory( man )
   endif()
   check_include_files(rpc/rpc.h HAVE_RPC_RPC_H)
   add_feature_info("NFS kioslave" HAVE_RPC_RPC_H "The RPC library is needed to build the NFS kioslave")
   if(HAVE_RPC_RPC_H)
     add_subdirectory( nfs )
   endif()
endif()

# KDNSSD before 5.54 suffers from a race condition in avahi's dbus API and
# ideally should not be used in ways that can deadlock a slave.
if(${KF5DNSSD_FOUND} AND ${KF5DNSSD_VERSION} VERSION_GREATER "5.53")
    set(HAVE_KDNSSD_WITH_SIGNAL_RACE_PROTECTION TRUE)
endif()

if(SAMBA_FOUND)
    add_subdirectory(smb)
endif()

configure_file (config-runtime.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-runtime.h )

if (${ECM_VERSION} STRGREATER "5.58.0")
    install(FILES kio-extras.categories DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
else()
    install(FILES kio-extras.categories DESTINATION ${KDE_INSTALL_CONFDIR})
endif()


feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== activities/CMakeLists.txt ===
# vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:

add_definitions(-DTRANSLATION_DOMAIN=\"kio5_activities\")

include_directories (
   ${CMAKE_CURRENT_SOURCE_DIR}
   ${CMAKE_CURRENT_BINARY_DIR}
   )

find_package (Qt5 REQUIRED NO_MODULE COMPONENTS Sql)
find_package (KF5 REQUIRED COMPONENTS KIO I18n Activities)

add_subdirectory(fileitemplugin)

########### next target ###############

set (kio_activities_PART_SRCS
   KioActivities.cpp
   utils/qsqlquery_iterator.cpp
   common/database/Database.cpp
   common/database/schema/ResourcesDatabaseSchema.cpp
   )

add_library (
   kio_activities MODULE
   ${kio_activities_PART_SRCS}
   )

target_link_libraries (
   kio_activities
   Qt5::Sql
   KF5::KIOCore
   KF5::DBusAddons
   KF5::Activities
   KF5::I18n
   Qt5::Network
   )
set_target_properties(kio_activities PROPERTIES OUTPUT_NAME "activities")

install (
   TARGETS kio_activities
   DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kio
   )

########### install files ###############

install (
   FILES activities.protocol
   DESTINATION ${KDE_INSTALL_KSERVICES5DIR}
   )

=== filenamesearch/CMakeLists.txt ===
add_library(kio_filenamesearch MODULE kio_filenamesearch.cpp)
target_link_libraries(kio_filenamesearch KF5::KIOCore KF5::DBusAddons Qt5::Network)
set_target_properties(kio_filenamesearch PROPERTIES OUTPUT_NAME "filenamesearch")

install(TARGETS kio_filenamesearch DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kio)
install(FILES filenamesearch.protocol DESTINATION  ${KDE_INSTALL_KSERVICES5DIR})

add_subdirectory(kded)

=== network/CMakeLists.txt ===
add_definitions(
    -DQT_USE_FAST_OPERATOR_PLUS
    -DQT_NO_CAST_TO_ASCII
    -DQT_NO_CAST_FROM_ASCII
)

add_subdirectory( network )
add_subdirectory( ioslave )
add_subdirectory( kded )
add_subdirectory( mimetypes )

=== nfs/CMakeLists.txt ===
## Check for XDR functions
include(CheckFunctionExists)

CHECK_FUNCTION_EXISTS(xdr_u_int64_t HAVE_XDR_U_INT64_T)
CHECK_FUNCTION_EXISTS(xdr_uint64_t HAVE_XDR_UINT64_T)
CHECK_FUNCTION_EXISTS(xdr_u_hyper HAVE_XDR_U_HYPER)
CHECK_FUNCTION_EXISTS(xdr_u_longlong_t HAVE_XDR_U_LONGLONG_T)

if (NOT HAVE_XDR_U_INT64_T AND NOT HAVE_XDR_UINT64_T AND NOT HAVE_XDR_U_HYPER AND NOT HAVE_XDR_U_LONGLONG_T)
    message(FATAL_ERROR "Could not find 64-bit XDR datatype functions!")
endif (NOT HAVE_XDR_U_INT64_T AND NOT HAVE_XDR_UINT64_T AND NOT HAVE_XDR_U_HYPER AND NOT HAVE_XDR_U_LONGLONG_T)

if (HAVE_XDR_U_INT64_T)
    add_definitions(-DHAVE_XDR_U_INT64_T)
endif (HAVE_XDR_U_INT64_T)
if (HAVE_XDR_UINT64_T)
    add_definitions(-DHAVE_XDR_UINT64_T)
endif (HAVE_XDR_UINT64_T)
if (HAVE_XDR_U_HYPER)
    add_definitions(-DHAVE_XDR_U_HYPER)
endif (HAVE_XDR_U_HYPER)
if (HAVE_XDR_U_LONGLONG_T)
    add_definitions(-DHAVE_XDR_U_LONGLONG_T)
endif (HAVE_XDR_U_LONGLONG_T)

add_definitions(-DTRANSLATION_DOMAIN=\"kio5_nfs\")

add_library(kio_nfs MODULE kio_nfs.cpp nfsv2.cpp nfsv3.cpp rpc_nfs3_prot_xdr.c rpc_nfs2_prot_xdr.c)
target_link_libraries(kio_nfs KF5::KIOCore KF5::I18n Qt5::Network)
set_target_properties(kio_nfs PROPERTIES OUTPUT_NAME "nfs")

install(TARGETS kio_nfs DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kio)

########### install files ###############

install( FILES nfs.protocol  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )

=== smb/CMakeLists.txt ===
add_feature_info("SMB DNS-SD Discovery" HAVE_KDNSSD_WITH_SIGNAL_RACE_PROTECTION
    "Discover SMB hosts via DNS-SD/Avahi/Bonjour. KF5DNSSD >= 5.54 is required to support this.")

add_definitions(-DTRANSLATION_DOMAIN=\"kio5_smb\")

include(CheckIncludeFile)
set(CMAKE_AUTOMAKE ON)

if(NOT WIN32)
check_include_file(utime.h HAVE_UTIME_H)

configure_file(config-smb.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-smb.h)
foreach(PROTOCOL smb cifs)
   configure_file(smb.protocol.cmake ${CMAKE_CURRENT_BINARY_DIR}/${PROTOCOL}.protocol)
   install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROTOCOL}.protocol DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
endforeach()

set(kio_smb_PART_SRCS 
   kio_smb.cpp 
   kio_smb_auth.cpp 
   kio_smb_browse.cpp 
   kio_smb_config.cpp 
   kio_smb_dir.cpp 
   kio_smb_file.cpp 
   kio_smb_internal.cpp 
   kio_smb_mount.cpp )

include_directories(${SAMBA_INCLUDE_DIR})

add_library(kio_smb MODULE ${kio_smb_PART_SRCS})

target_link_libraries(kio_smb
    KF5::KIOCore
    KF5::I18n
    ${SAMBA_LIBRARIES}
    Qt5::Network
    KF5::DNSSD)
else()
set(kio_smb_PART_SRCS 
   kio_smb_win.cpp)

add_library(kio_smb MODULE ${kio_smb_PART_SRCS})

target_link_libraries(kio_smb
    KF5::KIOCore
    KF5::I18n
    mpr
    Qt5::Network
    KF5::DNSSD)
endif()

set_target_properties(kio_smb PROPERTIES OUTPUT_NAME "smb")

install(TARGETS kio_smb DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kio)


########### install files ###############

install( FILES smb-network.desktop  DESTINATION  ${KDE_INSTALL_DATADIR}/konqueror/dirtree/remote )
install( FILES smb-network.desktop  DESTINATION  ${KDE_INSTALL_DATADIR}/remoteview )

=== network/ioslave/CMakeLists.txt ===
include_directories(
  ../network
)

set( kio_network_SRCS
  networkdbusinterface.cpp
  networkinitwatcher.cpp
  networkthread.cpp
  networkuri.cpp
  mimetypes.cpp
  networkslave.cpp
  main.cpp
)

# qt5_add_dbus_interface( kio_network_SRCS  ../kded/org.kde.network.xml networkdbusproxy )

add_library(kio_network MODULE  ${kio_network_SRCS} )
target_link_libraries( kio_network  molletnetwork5 KF5::KIOCore )
set_target_properties(kio_network PROPERTIES OUTPUT_NAME "network")

install( TARGETS kio_network  DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kio)

install( FILES network.protocol  DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
install( FILES network.desktop  DESTINATION ${KDE_INSTALL_DATADIR}/remoteview)
install( FILES virtualfolder_network.desktop  DESTINATION ${KDE_INSTALL_DATADIR}/konqsidebartng/virtual_folders/remote)

=== network/network/CMakeLists.txt ===


include_directories(
  builder
)

set( netsystemdriver_SRCS
  builder/simpleitemfactory.cpp
)

set( dnssdnetworkbuilder_SRCS
  builder/dnssd/dnssdnetworkbuilder.cpp
)

set( upnpnetworkbuilder_SRCS
  builder/upnp/cagibidevice.cpp
  builder/upnp/cagibidbuscodec.cpp
  builder/upnp/upnpnetworkbuilder.cpp
)

set( networkbuilder_SRCS
  builder/abstractnetworkbuilder.cpp
  builder/abstractnetsystemfactory.cpp
)

set( networkdbus_LIB_SRCS
  networkdbus.cpp
)

set( molletnetwork5_LIB_SRCS
  ${netsystemdriver_SRCS}
  ${upnpnetworkbuilder_SRCS}
  ${dnssdnetworkbuilder_SRCS}
  ${networkbuilder_SRCS}
  ${networkdbus_LIB_SRCS}
  network_p.cpp
  network.cpp
  netdevice_p.cpp
  netdevice.cpp
  netservice_p.cpp
  netservice.cpp
)

add_library( molletnetwork5  SHARED ${molletnetwork5_LIB_SRCS} )
target_link_libraries( molletnetwork5
    PUBLIC
        KF5::DNSSD
        Qt5::Network
        Qt5::Gui
        Qt5::DBus
)

set_target_properties( molletnetwork5 PROPERTIES VERSION ${KDE_APPLICATIONS_VERSION} SOVERSION ${KDE_APPLICATIONS_VERSION_MAJOR} )

install( TARGETS molletnetwork5 ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP )

=== debian/changelog ===
kio-extras (4:19.12.3a-0ubuntu2) focal; urgency=medium

  * Merge changes from Debian unstable. Renaining changes:
    - Bumped orig tarball version due to upstream respin. 

 -- Rik Mills <rikmills@kde.org>  Sat, 07 Mar 2020 11:11:26 +0000

kio-extras (4:19.12.3a-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)
  * Bump orig tarball version due to upstream respin.

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:10:24 +0000

kio-extras (4:19.12.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - fixes build with newer libssh (Closes: #951966)
  * Update watch file to the new release-service location.
  * Update the build dependencies according to the upstream build system:
    - add libkf5activitiesstats-dev
    - drop libkf5khtml-dev, no more used
    - bump libssh-dev to 0.7.0
    - add kio, as it provides the kfileitemactionplugin.desktop file, used
      at build time
    - explicitly add gettext
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - explicitly link in as-needed mode
    - manually force the generation of the substvars for the kde-l10n breaks
  * Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
    are not run at build time anyway.
  * Switch from the debhelper build dependency to debhelper-compat
    - remove debian/compat
  * Tweak the install wildcard for libmolletnetwork5, so it does not depend on
    the year in the version number.
  * Explicitly remove the development files we do not ship, instead of listing
    them in not-installed, so it is harder to ship them by chance
    - drop not-installed, no more needed now
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 07 Mar 2020 09:22:41 +0100

kio-extras (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:20:48 +0000

kio-extras (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:54:53 +0000

kio-extras (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New optional build depend on libkf5activitiesstats-dev for
    recentlyused:/ ioslave
  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:48:31 +0000

kio-extras (4:19.08.3-0ubuntu2) focal; urgency=medium

  * No-change rebuild against libopenexr24.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Dec 2019 07:34:40 +0000

kio-extras (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:33:15 +0000

=== debian/control ===
Source: kio-extras
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.48.0~),
               gettext,
               gperf,
               kio,
               libkf5activities-dev (>= 5.3.0~),
               libkf5activitiesstats-dev (>= 5.48.0~),
               libkf5archive-dev (>= 5.48.0~),
               libkf5bookmarks-dev (>= 5.48.0~),
               libkf5codecs-dev,
               libkf5config-dev (>= 5.48.0~),
               libkf5configwidgets-dev (>= 5.48.0~),
               libkf5coreaddons-dev (>= 5.48.0~),
               libkf5dbusaddons-dev (>= 5.48.0~),
               libkf5dnssd-dev (>= 5.48.0~),
               libkf5doctools-dev (>= 5.48.0~),
               libkf5guiaddons-dev (>= 5.48.0~),
               libkf5i18n-dev (>= 5.48.0~),
               libkf5iconthemes-dev (>= 5.48.0~),
               libkf5kio-dev (>= 5.48.0~),
               libkf5pty-dev (>= 5.48.0~),
               libkf5solid-dev (>= 5.48.0~),
               libkf5syntaxhighlighting-dev (>= 5.48.0~),
               libmtp-dev,
               libopenexr-dev,
               libphonon4qt5-dev (>= 4:4.6.60),
               libphonon4qt5experimental-dev,
               libqt5svg5-dev (>= 5.8.0~),
               libsmbclient-dev,
               libssh-dev (>= 0.7.0),
               libtag1-dev (>= 1.11~),
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.8.0~),
               shared-mime-info,
Standards-Version: 4.5.0
Homepage: https://projects.kde.org/projects/kde/workspace/kio-extras
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kio-extras
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kio-extras.git

Package: kio-extras
Architecture: any
Depends: kio-extras-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kactivities
Replaces: kactivities
Description: Extra functionality for kioslaves.
 A kioslave is a plugin designed to be intimately familiar with a certain
 protocol, so that a standardized interface can be used to get at data from
 any number of places.  A few examples are the http and ftp kioslaves,
 which using nearly identical methods will retrieve data from an http or
 ftp server respectively.
 .
 This package is part of the KDE base workspace module.

Package: kio-extras-data
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Breaks: kactivities, kio-mtp (<< 0.75+git20140304-1ubuntu1~), ${kde-l10n:all}
Replaces: kactivities, kio-mtp (<< 0.75+git20140304-1ubuntu1~), ${kde-l10n:all}
Description: Extra functionality for kioslaves data files.
 A kioslave is a plugin designed to be intimately familiar with a certain
 protocol, so that a standardized interface can be used to get at data from
 any number of places.  A few examples are the http and ftp kioslaves,
 which using nearly identical methods will retrieve data from an http or
 ftp server respectively.
 .
 This package contains the data files

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

l10npkgs_firstversion_ok := 4:16.04.3-7~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Tests require a registered logind session. :/
	# If you are reading this, your help is needed to make this work in
	# a reproduceable way either in the buildds or in the autopkgtests
	# servers
	# xvfb-run -a dh_auto_test

override_dh_auto_install:
	dh_auto_install
	# drop development stuff
	rm -rf debian/tmp/usr/include/
	rm -rf debian/tmp/usr/lib/*/cmake/

override_dh_gencontrol-indep: l10npkgs_firstversion_ok
	dh_gencontrol -i

## kio-extras 20.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,21 @@
 cmake_minimum_required(VERSION 3.0)
 
+if(WIN32)
+    set(CMAKE_CXX_STANDARD 17)
+endif()
+
 # KDE Applications Version, managed by release script
-set (KDE_APPLICATIONS_VERSION_MAJOR "19")
-set (KDE_APPLICATIONS_VERSION_MINOR "12")
-set (KDE_APPLICATIONS_VERSION_MICRO "3")
-set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
-project(kio-extras VERSION ${KDE_APPLICATIONS_VERSION})
+set (RELEASE_SERVICE_VERSION_MAJOR "20")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
+project(kio-extras VERSION ${RELEASE_SERVICE_VERSION})
 
 include(FeatureSummary)
 
-set(QT_MIN_VERSION "5.8.0")
-set(KF5_MIN_VERSION "5.48.0")
+set(QT_MIN_VERSION "5.11.0")
+# TODO: when bumping to 5.72+ drop FindTaglib.cmake
+set(KF5_MIN_VERSION "5.69.0")
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS DBus Network Widgets Svg)
 
 find_package(Qt5Test ${QT_MIN_VERSION} CONFIG QUIET)
@@ -24,7 +29,7 @@
 endif()
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
-set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
+set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})
 
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
     Archive
@@ -42,10 +47,6 @@
     GuiAddons
     SyntaxHighlighting
 )
-# As this is the check used for linkage, only require it in the same location...
-if (UNIX)
-    find_package(KF5Pty ${KF5_MIN_VERSION} REQUIRED)
-endif()
 
 include(CheckIncludeFile)
 include(CMakePackageConfigHelpers)
@@ -57,10 +58,16 @@
 include(ECMOptionalAddSubdirectory)
 include(ECMQtDeclareLoggingCategory)
 
-add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
+add_definitions(-DQT_NO_URL_CAST_FROM_STRING -DQT_NO_CAST_TO_ASCII)
 
 find_package(KF5Activities QUIET)
 set_package_properties(KF5Activities PROPERTIES
+    PURPOSE "Provides the activities:/ kioslave and fileitem plugin."
+    TYPE OPTIONAL
+)
+
+find_package(Qt5Sql QUIET)
+set_package_properties(Qt5Sql PROPERTIES
     PURPOSE "Provides the activities:/ kioslave and fileitem plugin."
     TYPE OPTIONAL
 )
@@ -134,6 +141,11 @@
     set_package_properties(Gperf PROPERTIES TYPE OPTIONAL
                            PURPOSE "Needed to build the man kioslave"
                            )
+
+    find_package(TIRPC)
+    set_package_properties(TIRPC PROPERTIES TYPE OPTIONAL
+                           PURPOSE "Needed to build the NFS kioslave"
+                           )
 else()
     # FIXME: on windows we ignore support until trash gets integrated
 endif()
@@ -141,7 +153,7 @@
 add_subdirectory( doc )
 
 add_subdirectory( about )
-if(KF5Activities_FOUND)
+if(TARGET KF5::Activities AND TARGET Qt5::Sql AND NOT WIN32)
   add_subdirectory( activities )
 endif()
 if(KF5ActivitiesStats_FOUND)
@@ -178,9 +190,7 @@
    if(Gperf_FOUND)
      add_subdirectory( man )
    endif()
-   check_include_files(rpc/rpc.h HAVE_RPC_RPC_H)
-   add_feature_info("NFS kioslave" HAVE_RPC_RPC_H "The RPC library is needed to build the NFS kioslave")
-   if(HAVE_RPC_RPC_H)
+   if(TIRPC_FOUND)
      add_subdirectory( nfs )
    endif()
 endif()
@@ -197,11 +207,7 @@
 
 configure_file (config-runtime.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-runtime.h )
 
-if (${ECM_VERSION} STRGREATER "5.58.0")
-    install(FILES kio-extras.categories DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
-else()
-    install(FILES kio-extras.categories DESTINATION ${KDE_INSTALL_CONFDIR})
-endif()
+install(FILES kio-extras.categories DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
 
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== archive/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kio5_archive\")

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

set(LIBKIOARCHIVE_VERSION "5.97.0")
set(LIBKIOARCHIVE_SOVERSION "5")

include(ECMSetupVersion)
ecm_setup_version(${LIBKIOARCHIVE_VERSION} VARIABLE_PREFIX "KIOARCHIVE"
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kioarchive_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KioArchiveConfigVersion.cmake"
                  SOVERSION ${LIBKIOARCHIVE_SOVERSION})

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KioArchive")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KioArchiveConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KioArchiveConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KioArchiveConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KioArchiveConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KioArchiveTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KioArchiveTargets.cmake
)

install(FILES
    kio_archivebase.h
    ${CMAKE_CURRENT_BINARY_DIR}/libkioarchive_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}
    COMPONENT Devel
)

############### ArchiveProtocolBase library ###########

add_library(kioarchive kio_archivebase.cpp kio_archive_debug.cpp)

include(GenerateExportHeader)
generate_export_header(kioarchive BASE_NAME libkioarchive EXPORT_FILE_NAME libkioarchive_export.h)

target_link_libraries(kioarchive
    PUBLIC
    KF5::Archive
    KF5::KIOCore
    PRIVATE
    KF5::I18n
    Qt5::Network
    Qt5::DBus
)

set_target_properties(kioarchive PROPERTIES
    VERSION ${KIOARCHIVE_VERSION_STRING}
    SOVERSION ${KIOARCHIVE_SOVERSION}
    EXPORT_NAME KioArchive
)

ecm_qt_declare_logging_category(kioarchive
                                HEADER kio_archive_debug.h
                                IDENTIFIER KIO_ARCHIVE_LOG
CATEGORY_NAME log_kio_archive)

install(TARGETS kioarchive EXPORT KioArchiveTargets LIBRARY NAMELINK_SKIP ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

############### Archive KIOslave ######################

add_library(kio_archive MODULE kio_archive.cpp kio_archive_debug.cpp)
target_link_libraries(kio_archive KF5::KIOCore KF5::Archive kioarchive Qt5::Network)
set_target_properties(kio_archive PROPERTIES OUTPUT_NAME "archive")
install(TARGETS kio_archive DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kio)

=== info/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kio5_info\")

add_library(kio_info MODULE info.cc)
target_link_libraries(kio_info
    KF5::I18n
    KF5::IconThemes
    KF5::KIOCore
    Qt5::Network
)
set_target_properties(kio_info PROPERTIES OUTPUT_NAME "info")

install(TARGETS kio_info DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kio)
install( FILES kde-info2html.conf DESTINATION  ${KDE_INSTALL_DATADIR}/kio_info )
install( FILES info.protocol  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )
install( PROGRAMS kde-info2html DESTINATION  ${KDE_INSTALL_DATADIR}/kio_info )

=== network/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,5 @@
+add_definitions(-DTRANSLATION_DOMAIN=\"kio5_network\")
+
 add_definitions(
     -DQT_USE_FAST_OPERATOR_PLUS
     -DQT_NO_CAST_TO_ASCII

=== settings/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kio5_settings\")

add_library(kio_settings MODULE kio_settings.cpp)
target_link_libraries(kio_settings KF5::KIOCore Qt5::Network)
set_target_properties(kio_settings PROPERTIES OUTPUT_NAME "settings")

install(TARGETS kio_settings  DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kio )
install( FILES settings.protocol DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )

=== sftp/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kio5_sftp\")

include_directories(${LIBSSH_INCLUDE_DIR})
if(WIN32)
include_directories(${QT_MKSPECS_DIR}/default) # for SYMLINKS
endif()
set(kio_sftp_SRCS kio_sftp.cpp)

ecm_qt_declare_logging_category(kio_sftp_SRCS
    HEADER kio_sftp_debug.h
    IDENTIFIER KIO_SFTP_LOG
    CATEGORY_NAME log_kio_sftp)

ecm_qt_declare_logging_category(kio_sftp_SRCS
    HEADER kio_sftp_trace_debug.h
    IDENTIFIER KIO_SFTP_TRACE_LOG
    CATEGORY_NAME log_kio_sftp.trace)

add_library(kio_sftp MODULE ${kio_sftp_SRCS})
target_link_libraries(kio_sftp
   KF5::KIOCore
   KF5::WidgetsAddons # KMessageBox
   KF5::I18n
   Qt5::Network
   ssh)
set_target_properties(kio_sftp PROPERTIES
    OUTPUT_NAME "sftp"
    LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/kf5/kio")

install(TARGETS kio_sftp DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kio)

install( FILES sftp.protocol  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )

=== archive/autotests/CMakeLists.txt ===
add_executable(testkioarchive testkioarchive.cpp)
target_link_libraries(testkioarchive KF5::KIOCore KF5::Archive Qt5::Test)
ecm_mark_as_test(testkioarchive)
add_test(NAME testkioarchive COMMAND testkioarchive)

=== filenamesearch/kded/CMakeLists.txt ===
set (KDED_FILENAMESEARCH_SRCS
     filenamesearchmodule.cpp
)

add_library(filenamesearchmodule MODULE ${KDED_FILENAMESEARCH_SRCS})
kcoreaddons_desktop_to_json(filenamesearchmodule filenamesearchmodule.desktop)

target_link_libraries(filenamesearchmodule
    KF5::DBusAddons
    KF5::KIOCore
)

install(TARGETS filenamesearchmodule DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kded)

=== man/tests/CMakeLists.txt ===
include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/.. )

########### next target ###############

set(kio_man_test_SRCS 
    kio_man_test.cpp 
    ${CMAKE_CURRENT_SOURCE_DIR}/../man2html.cpp 
    ${CMAKE_CURRENT_SOURCE_DIR}/../request_hash.cpp 
    ${CMAKE_CURRENT_SOURCE_DIR}/../kio_man.cpp 
    ${CMAKE_CURRENT_SOURCE_DIR}/../kio_man_debug.cpp)
ecm_gperf_generate(../requests.gperf ${CMAKE_CURRENT_BINARY_DIR}/request_gperf.h kio_man_test_SRCS)
set_property(SOURCE ${CMAKE_CURRENT_BINARY_DIR}/request_gperf.h PROPERTY SKIP_AUTOMOC ON)



add_executable(kio_man_test ${kio_man_test_SRCS})
ecm_mark_as_test(kio_man_test)
set_target_properties(kio_man_test PROPERTIES COMPILE_FLAGS "-DSIMPLE_MAN2HTML -DKIO_MAN_TEST")
target_link_libraries(kio_man_test Qt5::Widgets KF5::I18n KF5::KIOCore KF5::Archive KF5::Codecs Qt5::Network)
if (AVOID_NULLPTR_WARNING_FLAG)
    target_compile_options(kio_man_test PRIVATE ${AVOID_NULLPTR_WARNING_FLAG})
endif()



########### next target ###############

set(man2html_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/../request_hash.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/../man2html.cpp 
    ${CMAKE_CURRENT_SOURCE_DIR}/../kio_man_debug.cpp)
ecm_gperf_generate(../requests.gperf ${CMAKE_CURRENT_BINARY_DIR}/request_gperf.h man2html_SRCS)
set_property(SOURCE ${CMAKE_CURRENT_BINARY_DIR}/request_gperf.h PROPERTY SKIP_AUTOMOC ON)


add_executable(man2html ${man2html_SRCS})
ecm_mark_as_test(man2html)
set_target_properties(man2html PROPERTIES COMPILE_FLAGS -DSIMPLE_MAN2HTML)
target_link_libraries(man2html Qt5::Core KF5::Codecs KF5::Archive)
if (AVOID_NULLPTR_WARNING_FLAG)
    target_compile_options(man2html PRIVATE ${AVOID_NULLPTR_WARNING_FLAG})
endif()

=== mtp/kiod_module/CMakeLists.txt ===
add_definitions(-DQT_NO_CAST_FROM_ASCII)

set(kiod_kmtpd_SRCS
    kmtpd.cpp
    mtpdevice.cpp
    mtpstorage.cpp
)

include_directories(${MTP_INCLUDE_DIR} "../shared")

qt5_add_dbus_adaptor(kiod_kmtpd_SRCS ../shared/org.kde.kmtp.daemon.xml kmtpd.h KMTPd)
qt5_add_dbus_adaptor(kiod_kmtpd_SRCS ../shared/org.kde.kmtp.device.xml mtpdevice.h MTPDevice)
qt5_add_dbus_adaptor(kiod_kmtpd_SRCS ../shared/org.kde.kmtp.storage.xml mtpstorage.h MTPStorage)

kcoreaddons_add_plugin(kmtpd INSTALL_NAMESPACE "kf5/kiod" JSON kmtpd.json SOURCES ${kiod_kmtpd_SRCS})

target_link_libraries(kmtpd ${MTP_LIBRARIES} kmtp Qt5::Core KF5::CoreAddons KF5::DBusAddons KF5::Solid)

kdbusaddons_generate_dbus_service_file(kiod5 org.kde.kmtp.daemon ${KDE_INSTALL_FULL_LIBEXECDIR_KF5})

=== network/ioslave/CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,8 @@
 # qt5_add_dbus_interface( kio_network_SRCS  ../kded/org.kde.network.xml networkdbusproxy )
 
 add_library(kio_network MODULE  ${kio_network_SRCS} )
-target_link_libraries( kio_network  molletnetwork5 KF5::KIOCore )
+target_link_libraries( kio_network  molletnetwork5 KF5::KIOCore KF5::I18n )
+
 set_target_properties(kio_network PROPERTIES OUTPUT_NAME "network")
 
 install( TARGETS kio_network  DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kio)

=== network/kded/CMakeLists.txt ===
include_directories(
  ../network
  ../ioslave
)
set( kded_networkwatcher_SRCS
  networkdbusadaptor.cpp
  kioslavenotifier.cpp
  networkwatcher.cpp
)

qt5_add_dbus_adaptor( kded_networkwatcher_SRCS  org.kde.network.kioslavenotifier.xml kioslavenotifier.h Mollet::KioSlaveNotifier )

add_library(kded_networkwatcher MODULE  ${kded_networkwatcher_SRCS} )
set_target_properties(kded_networkwatcher PROPERTIES OUTPUT_NAME networkwatcher)
kcoreaddons_desktop_to_json(kded_networkwatcher networkwatcher.desktop)

target_link_libraries( kded_networkwatcher KF5::DBusAddons KF5::KIOCore molletnetwork5 )

install( TARGETS kded_networkwatcher  DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kded )

install( FILES org.kde.network.kioslavenotifier.xml  DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR} RENAME kf5_org.kde.network.kioslavenotifier.xml )

=== debian/changelog ===
kio-extras (4:20.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update upstream GPG signing key.
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.

 -- Pino Toscano <pino@debian.org>  Thu, 04 Feb 2021 15:17:09 +0100

kio-extras (4:20.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump almost all the KF packages to 5.69.0
  * Bump Standards-Version to 4.5.1, no changes required.
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Sat, 26 Dec 2020 11:50:25 +0100

kio-extras (4:20.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * Add Rules-Requires-Root field to control.
  * New upstream release (20.04.1):
    - fixes CVE-2020-12755 (Closes: #960306)
  * Update build-deps and deps with the info from cmake.

  [ Pino Toscano ]
  * New upstream release:
    - fixes build (Closes: #973216)
  * Update the build dependencies according to the upstream build system:
    - add libtirpc-dev for the NFS kioslave
    - add libkdsoap-dev for the SMB kioslave
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Re-export upstream signing key without extra signatures.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Pino Toscano <pino@debian.org>  Wed, 11 Nov 2020 16:06:19 +0100

=== debian/control ===
Source: kio-extras
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.7~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.69.0~),
               gettext,
               gperf,
               kio,
               libkdsoap-dev (>= 1.9.0~),
               libkf5activities-dev (>= 5.3.0~),
               libkf5activitiesstats-dev (>= 5.62~),
               libkf5archive-dev (>= 5.69.0~),
               libkf5bookmarks-dev (>= 5.69.0~),
               libkf5codecs-dev,
               libkf5config-dev (>= 5.69.0~),
               libkf5configwidgets-dev (>= 5.69.0~),
               libkf5coreaddons-dev (>= 5.69.0~),
               libkf5dbusaddons-dev (>= 5.69.0~),
               libkf5dnssd-dev (>= 5.69.0~),
               libkf5doctools-dev (>= 5.69.0~),
               libkf5guiaddons-dev (>= 5.69.0~),
               libkf5i18n-dev (>= 5.69.0~),
               libkf5iconthemes-dev (>= 5.69.0~),
               libkf5kio-dev (>= 5.69.0~),
               libkf5pty-dev (>= 5.69.0~),
               libkf5solid-dev (>= 5.69.0~),
               libkf5syntaxhighlighting-dev (>= 5.69.0~),
               libmtp-dev,
               libopenexr-dev,
               libphonon4qt5-dev (>= 4:4.6.60),
               libphonon4qt5experimental-dev,
               libqt5svg5-dev (>= 5.11.0~),
               libsmbclient-dev,
               libssh-dev (>= 0.7.0),
               libtag1-dev (>= 1.11~),
               libtirpc-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.11.0~),
               shared-mime-info
Standards-Version: 4.5.1
Homepage: https://projects.kde.org/projects/kde/workspace/kio-extras
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kio-extras
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kio-extras.git
Rules-Requires-Root: no

Package: kio-extras
Architecture: any
Depends: kio-extras-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kactivities
Replaces: kactivities
Description: Extra functionality for kioslaves.
 A kioslave is a plugin designed to be intimately familiar with a certain
 protocol, so that a standardized interface can be used to get at data from
 any number of places.  A few examples are the http and ftp kioslaves,
 which using nearly identical methods will retrieve data from an http or
 ftp server respectively.
 .
 This package is part of the KDE base workspace module.

Package: kio-extras-data
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Breaks: kactivities, kio-mtp (<< 0.75+git20140304-1ubuntu1~), ${kde-l10n:all}
Replaces: kactivities, kio-mtp (<< 0.75+git20140304-1ubuntu1~), ${kde-l10n:all}
Description: Extra functionality for kioslaves data files.
 A kioslave is a plugin designed to be intimately familiar with a certain
 protocol, so that a standardized interface can be used to get at data from
 any number of places.  A few examples are the http and ftp kioslaves,
 which using nearly identical methods will retrieve data from an http or
 ftp server respectively.
 .
 This package contains the data files

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,6 @@
 include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
-export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
 
 %:
 	dh $@ --with kf5
@@ -20,8 +19,7 @@
 	# servers
 	# xvfb-run -a dh_auto_test
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	# drop development stuff
 	rm -rf debian/tmp/usr/include/
 	rm -rf debian/tmp/usr/lib/*/cmake/

## kio-extras 20.12.3

=== debian/changelog ===
kio-extras (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:20:42 +0000

=== debian/control ===
--- 
+++ 
@@ -40,7 +40,7 @@
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.11.0~),
-               shared-mime-info
+               shared-mime-info,
 Standards-Version: 4.5.1
 Homepage: https://projects.kde.org/projects/kde/workspace/kio-extras
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kio-extras

## kio-extras 21.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,21 +1,33 @@
-cmake_minimum_required(VERSION 3.0)
-
-if(WIN32)
-    set(CMAKE_CXX_STANDARD 17)
-endif()
+cmake_minimum_required(VERSION 3.16)
 
 # KDE Applications Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "20")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MAJOR "21")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(kio-extras VERSION ${RELEASE_SERVICE_VERSION})
 
+set(QT_MIN_VERSION "5.15.0")
+set(KF5_MIN_VERSION "5.82.0")
+
+set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
+
+find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
+set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})
+
+include(KDEInstallDirs)
+include(KDECMakeSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
+
+include(ECMMarkNonGuiExecutable)
+include(ECMMarkAsTest)
+include(ECMOptionalAddSubdirectory)
+include(ECMQtDeclareLoggingCategory)
+include(CheckIncludeFile)
+include(CMakePackageConfigHelpers)
 include(FeatureSummary)
 
-set(QT_MIN_VERSION "5.11.0")
-# TODO: when bumping to 5.72+ drop FindTaglib.cmake
-set(KF5_MIN_VERSION "5.69.0")
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS DBus Network Widgets Svg)
 
 find_package(Qt5Test ${QT_MIN_VERSION} CONFIG QUIET)
@@ -28,9 +40,6 @@
     set(BUILD_TESTING OFF CACHE BOOL "Build the testing tree.")
 endif()
 
-find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
-set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})
-
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
     Archive
     Config
@@ -39,7 +48,6 @@
     DBusAddons
     DocTools
     DNSSD
-    IconThemes
     I18n
     KIO
     Solid
@@ -48,17 +56,9 @@
     SyntaxHighlighting
 )
 
-include(CheckIncludeFile)
-include(CMakePackageConfigHelpers)
-include(KDEInstallDirs)
-include(KDECMakeSettings)
-include(KDECompilerSettings NO_POLICY_SCOPE)
-include(ECMMarkNonGuiExecutable)
-include(ECMMarkAsTest)
-include(ECMOptionalAddSubdirectory)
-include(ECMQtDeclareLoggingCategory)
-
-add_definitions(-DQT_NO_URL_CAST_FROM_STRING -DQT_NO_CAST_TO_ASCII)
+include(KDEClangFormat)
+file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
+kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
 
 find_package(KF5Activities QUIET)
 set_package_properties(KF5Activities PROPERTIES
@@ -105,9 +105,8 @@
                        PURPOSE "Needed to build the SFTP kioslave"
                       )
 
-find_package(Mtp)
-set_package_properties(Mtp PROPERTIES DESCRIPTION "the MTP library"
-                       URL "http://libmtp.sourceforge.net/"
+find_package(Libmtp 1.1.2)
+set_package_properties(Libmtp PROPERTIES
                        TYPE OPTIONAL
                        PURPOSE "Needed to build the MTP kioslave"
                        )
@@ -150,6 +149,21 @@
     # FIXME: on windows we ignore support until trash gets integrated
 endif()
 
+add_definitions(
+    -DQT_NO_URL_CAST_FROM_STRING
+    -DQT_NO_CAST_TO_ASCII
+    -DQT_NO_CAST_FROM_ASCII
+    -DQT_NO_CAST_FROM_BYTEARRAY
+    -DQT_NO_KEYWORDS
+    -DQT_NO_FOREACH
+    -DQT_USE_QSTRINGBUILDER
+    -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
+    -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00
+    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
+    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055200
+    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
+)
+
 add_subdirectory( doc )
 
 add_subdirectory( about )
@@ -166,9 +180,6 @@
 endif()
 add_subdirectory( info )
 add_subdirectory( archive )
-if(NOT WIN32)
-    add_subdirectory( network )
-endif()
 add_subdirectory( recentdocuments )
 if (NOT WIN32)
     # does not compile: fish.cpp(41): fatal error C1083: Cannot open include file: 'sys/resource.h': No such file or directory
@@ -182,7 +193,7 @@
 endif ()
 add_subdirectory(settings)
 add_subdirectory( filenamesearch )
-if (MTP_FOUND)
+if (Libmtp_FOUND)
   add_subdirectory(mtp)
 endif()
 
@@ -195,19 +206,17 @@
    endif()
 endif()
 
-# KDNSSD before 5.54 suffers from a race condition in avahi's dbus API and
-# ideally should not be used in ways that can deadlock a slave.
-if(${KF5DNSSD_FOUND} AND ${KF5DNSSD_VERSION} VERSION_GREATER "5.53")
-    set(HAVE_KDNSSD_WITH_SIGNAL_RACE_PROTECTION TRUE)
-endif()
-
 if(SAMBA_FOUND)
     add_subdirectory(smb)
 endif()
 
 configure_file (config-runtime.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-runtime.h )
 
-install(FILES kio-extras.categories DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
+ecm_qt_install_logging_categories(
+    EXPORT KIO_EXTRAS
+    FILE kio-extras.categories
+    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
+)
 
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kio-extras (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:34:14 +0100

kio-extras (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:02:58 +0100

kio-extras (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:56:22 +0100

kio-extras (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)
  * Update install files.
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:34:24 +0100

kio-extras (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:44:04 +0100

kio-extras (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:40:44 +0100

kio-extras (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:07:10 +0100

kio-extras (4:21.04.0-0ubuntu1) impish; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.04.0)

  [ José Manuel Santamaría Lema ]
  * Add libappimage-dev to build depends

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:36:31 +0100

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
                gettext,
                gperf,
                kio,
+               libappimage-dev,
                libkdsoap-dev (>= 1.9.0~),
                libkf5activities-dev (>= 5.3.0~),
                libkf5activitiesstats-dev (>= 5.62~),
